org.eclipse.ease.ui.completion

## Interface ICompletionProvider

All Superinterfaces:
  IContentProposalProvider

All Known Implementing Classes:
  ModuleCompletionProvider

    public interface ICompletionProvider
    extends IContentProposalProvider

### Method Summary

Methods
`void` `addCode(String code)` Adds code to the auto completion stack.
`char[]` `getActivationChars()`

### Methods inherited from interface org.eclipse.jface.fieldassist.IContentProposalProvider

`getProposals`

### Method Detail

#### getActivationChars

    char[] getActivationChars()

#### addCode

    void addCode(String code)

Adds code to the auto completion stack. Code can be parsed for variables, modules, etc which might be used for the next content assist request.

Parameters:
  `code` - executed code from script engine